<div id='tool-dec-mat-<%=@tools_criticity.id%>' class='dec-mat-open' dec-mat-id='<%=@tools_criticity.id%>'>

  <%= simple_form_for_horizontal @tools_criticity, remote: true do |f| %>
    <%#= f.hidden_field :rca_id %>
    <%#= f.hidden_field :tool_reference %>
    <%#= f.hidden_field :tool_num %>
    <%#= f.hidden_field :labels_config_id %>
    <button type="submit" disabled style="display: none" aria-hidden="true"></button>

    <h6>
      <%= Labels::Config.model_name.human + ' : ' + @tools_criticity.labels_config.name %>
      <%= link_to fa_icon_delete, @tools_criticity, method: :delete, data: { confirm: t('confirm.sure') } %>
    </h6>
    <hr>

    <div class="" id='crit-<%=@tools_criticity.id%>'>
      <%= f.simple_fields_for :criticity_values do |tcv_form| %>
        <%= tcv_form.hidden_field :labels_criterium_id %>
        <%= tcv_form.association :labels_value, label: tcv_form.object.labels_criterium.name, collection: tcv_form.object.labels_criterium.values %>
      <% end %>
    </div>

    <div class="form-group row">
       <label class='col-sm-3'><%= Labels::Config.human_attribute_name :formula %></label>
       <span class="col-sm-9"><%= @tools_criticity.labels_config.formula %></span>
    </div>

    <div>
      <br>
      <%= button_tag type: 'submit', class: "btn btn-outline-dark" do %>
        Enregistrer et Calculer
        <%= fa_icon('calculator') %>
      <% end %>

      <div class='admin-col' style='margin-top: 10px;'>
        <div id='criticity-calculate-result' class='admin-col-content'>
          <%= render partial: 'calculate', locals: {tools_criticity: @tools_criticity} %>
        </div>
      </div>

      <div class="form-group row">
        <% aff, show_doc = file_preview(@tools_criticity.labels_config.file, sx: 500, sy: 500, show_filename: false) %>
        <label class='col-sm-3'><%= Labels::Config.human_attribute_name :file %></label>
        <div class="col-sm-9">
          <%= link_to aff.html_safe, url_for(@tools_criticity.labels_config.file) if show_doc %>
        </div>
      </div>
    </div>

  <% end %>
</div>
